#! /bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

if id clamav >/dev/null 2>&1; then
    :
else
    groupadd -g 102 clamav
    useradd -u 102 -g 102 clamav
fi

config etc/clamav/clamd.conf.new
config etc/clamav/freshclam.conf.new

config etc/rc.d/rc.clamd.new
config etc/rc.d/rc.freshclam.new

( cd usr/lib64 ; rm -rf libclamav.so )
( cd usr/lib64 ; ln -sf libclamav.so.6.1.17 libclamav.so )
( cd usr/lib64 ; rm -rf libclamunrar_iface.so )
( cd usr/lib64 ; ln -sf libclamunrar_iface.so.6.1.17 libclamunrar_iface.so )
( cd usr/lib64 ; rm -rf libclamav.so.6 )
( cd usr/lib64 ; ln -sf libclamav.so.6.1.17 libclamav.so.6 )
( cd usr/lib64 ; rm -rf libclamunrar.so.6 )
( cd usr/lib64 ; ln -sf libclamunrar.so.6.1.17 libclamunrar.so.6 )
( cd usr/lib64 ; rm -rf libclamunrar.so )
( cd usr/lib64 ; ln -sf libclamunrar.so.6.1.17 libclamunrar.so )
( cd usr/lib64 ; rm -rf libclamunrar_iface.so.6 )
( cd usr/lib64 ; ln -sf libclamunrar_iface.so.6.1.17 libclamunrar_iface.so.6 )
